Skip to main content
POST
/
v3
/
appointment-definitions
/
{appointmentDefinition}
/
special-hours
Add Appointment Definition Special Hour
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/special-hours \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "start_at": "<string>",
  "end_at": "<string>",
  "is_repeating": true,
  "available_from": "<string>",
  "available_until": "<string>"
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/special-hours"

payload = {
"name": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"is_repeating": True,
"available_from": "<string>",
"available_until": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
start_at: '<string>',
end_at: '<string>',
is_repeating: true,
available_from: '<string>',
available_until: '<string>'
})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/special-hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "appointment_definition_id": 123,
    "name": "<string>",
    "is_repeating": true,
    "available_from": "<string>",
    "available_until": "<string>",
    "start_at": "<string>",
    "end_at": "<string>",
    "is_closed": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

appointmentDefinition
integer
required

The appointment definition ID

Body

application/json
name
string
required
Maximum string length: 255
start_at
string
required
end_at
string
required
is_repeating
boolean
available_from
string | null
available_until
string | null

Response

AppointmentDefinitionSpecialHour

data
AppointmentDefinitionSpecialHour · object
required